# Amira Script
remove -all
remove temperature.icol physics.icol glow.col volrenRed.col volrenGreen.col Pyrenoid.iv chloroplastmembrane.iv phaeo6.supvol.img thalykoids.iv IvToSurface GeometrySurface IvToSurface2 GeometrySurface2 IvToSurface3 GeometrySurface3 SmoothSurface GeometrySurface3.smooth SmoothSurface2 GeometrySurface2.smooth SmoothSurface3 GeometrySurface.smooth Arithmetic OrthoSlice ContrastControl

# Create viewers
viewer 0 show
viewer 0 setSize 831 825
viewer 0 setBackgroundMode 1
viewer 0 setBackgroundColor 0 0.1 0.3
viewer 0 setBackgroundColor2 0.7 0.7 0.8
viewer 0 decoration 1
viewer 0 setTransparencyType 6
viewer 0 setAutoRedraw 0

mainWindow show

set hideNewModules 0
[ load ${AMIRA_ROOT}/data/colormaps/temperature.icol ] setLabel temperature.icol
temperature.icol setIconPosition 19 321
temperature.icol fire
{temperature.icol} setMinMax 38 44
{temperature.icol} flags setValue 0
{temperature.icol} shift setMinMax -1 1
{temperature.icol} shift setValue 0
{temperature.icol} scale setMinMax 0 1
{temperature.icol} scale setValue 1
temperature.icol fire
temperature.icol setViewerMask 65535

set hideNewModules 0
[ load ${AMIRA_ROOT}/data/colormaps/physics.icol ] setLabel physics.icol
physics.icol setIconPosition 20 351
physics.icol fire
{physics.icol} setMinMax 0 1
{physics.icol} flags setValue 0
{physics.icol} shift setMinMax -1 1
{physics.icol} shift setValue 0
{physics.icol} scale setMinMax 0 1
{physics.icol} scale setValue 1
physics.icol fire
physics.icol setViewerMask 65535

set hideNewModules 0
[ load ${AMIRA_ROOT}/data/colormaps/glow.col ] setLabel glow.col
glow.col setIconPosition 20 382
glow.col fire
{glow.col} setMinMax 0 255
{glow.col} flags setValue 0
{glow.col} shift setMinMax -1 1
{glow.col} shift setValue 0
{glow.col} scale setMinMax 0 1
{glow.col} scale setValue 1
glow.col fire
glow.col setViewerMask 65535

set hideNewModules 0
[ load ${AMIRA_ROOT}/data/colormaps/volrenRed.col ] setLabel volrenRed.col
volrenRed.col setIconPosition 14 412
volrenRed.col fire
{volrenRed.col} setMinMax 10 180
{volrenRed.col} flags setValue 0
{volrenRed.col} shift setMinMax -1 1
{volrenRed.col} shift setValue 0
{volrenRed.col} scale setMinMax 0 1
{volrenRed.col} scale setValue 1
volrenRed.col fire
volrenRed.col setViewerMask 65535

set hideNewModules 0
[ load ${AMIRA_ROOT}/data/colormaps/volrenGreen.col ] setLabel volrenGreen.col
volrenGreen.col setIconPosition 20 444
volrenGreen.col fire
{volrenGreen.col} setMinMax 10 200
{volrenGreen.col} flags setValue 0
{volrenGreen.col} shift setMinMax -1 1
{volrenGreen.col} shift setValue 0
{volrenGreen.col} scale setMinMax 0 1
{volrenGreen.col} scale setValue 1
volrenGreen.col fire
volrenGreen.col setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/Pyrenoid.iv ] setLabel Pyrenoid.iv
Pyrenoid.iv setIconPosition 19 11
Pyrenoid.iv fire
Pyrenoid.iv fire
Pyrenoid.iv setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/chloroplastmembrane.iv ] setLabel chloroplastmembrane.iv
chloroplastmembrane.iv setIconPosition 20 41
chloroplastmembrane.iv fire
chloroplastmembrane.iv fire
chloroplastmembrane.iv setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_script-files/phaeo6.supvol.img ] setLabel phaeo6.supvol.img
phaeo6.supvol.img setIconPosition 16 76
phaeo6.supvol.img fire
phaeo6.supvol.img fire
phaeo6.supvol.img setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/thalykoids.iv ] setLabel thalykoids.iv
thalykoids.iv setIconPosition 20 103
thalykoids.iv fire
thalykoids.iv fire
thalykoids.iv setViewerMask 65535

set hideNewModules 0
create HxGeometryToSurface {IvToSurface}
IvToSurface setIconPosition 160 11
IvToSurface data connect Pyrenoid.iv
IvToSurface fire
{IvToSurface} tolerance setMinMax 0 0 1
{IvToSurface} tolerance setValue 0 1e-05
{IvToSurface} options setValue 0 1
{IvToSurface} doIt setIndex -1
{IvToSurface} doIt untouch
IvToSurface fire
IvToSurface setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_script-files/GeometrySurface ] setLabel GeometrySurface
GeometrySurface setIconPosition 15 135
GeometrySurface master connect IvToSurface
GeometrySurface fire
GeometrySurface fire
GeometrySurface setViewerMask 65535

set hideNewModules 0
create HxGeometryToSurface {IvToSurface2}
IvToSurface2 setIconPosition 160 72
IvToSurface2 data connect chloroplastmembrane.iv
IvToSurface2 fire
{IvToSurface2} tolerance setMinMax 0 0 1
{IvToSurface2} tolerance setValue 0 1e-05
{IvToSurface2} options setValue 0 1
{IvToSurface2} doIt setIndex -1
{IvToSurface2} doIt untouch
IvToSurface2 fire
IvToSurface2 setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_script-files/GeometrySurface2 ] setLabel GeometrySurface2
GeometrySurface2 setIconPosition 20 165
GeometrySurface2 master connect IvToSurface2
GeometrySurface2 fire
GeometrySurface2 fire
GeometrySurface2 setViewerMask 65535

set hideNewModules 0
create HxGeometryToSurface {IvToSurface3}
IvToSurface3 setIconPosition 160 103
IvToSurface3 data connect thalykoids.iv
IvToSurface3 fire
{IvToSurface3} tolerance setMinMax 0 0 1
{IvToSurface3} tolerance setValue 0 1e-05
{IvToSurface3} options setValue 0 1
{IvToSurface3} doIt setIndex -1
{IvToSurface3} doIt untouch
IvToSurface3 fire
IvToSurface3 setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_script-files/GeometrySurface3 ] setLabel GeometrySurface3
GeometrySurface3 setIconPosition 20 196
GeometrySurface3 master connect IvToSurface3
GeometrySurface3 fire
GeometrySurface3 fire
GeometrySurface3 setViewerMask 65535

set hideNewModules 0
create HxSurfaceSmooth {SmoothSurface}
SmoothSurface setIconPosition 160 196
SmoothSurface data connect GeometrySurface3
SmoothSurface fire
{SmoothSurface} parameters setMinMax 0 -1e+24 1e+24
{SmoothSurface} parameters setValue 0 25
{SmoothSurface} parameters setMinMax 1 -1e+24 1e+24
{SmoothSurface} parameters setValue 1 0.6
{SmoothSurface} action setIndex -1
{SmoothSurface} action untouch
SmoothSurface fire
SmoothSurface setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_script-files/GeometrySurface3.smooth ] setLabel GeometrySurface3.smooth
GeometrySurface3.smooth setIconPosition 20 227
GeometrySurface3.smooth master connect SmoothSurface
GeometrySurface3.smooth fire
GeometrySurface3.smooth fire
GeometrySurface3.smooth setViewerMask 65535

set hideNewModules 0
create HxSurfaceSmooth {SmoothSurface2}
SmoothSurface2 setIconPosition 160 165
SmoothSurface2 data connect GeometrySurface2
SmoothSurface2 fire
{SmoothSurface2} parameters setMinMax 0 -1e+24 1e+24
{SmoothSurface2} parameters setValue 0 25
{SmoothSurface2} parameters setMinMax 1 -1e+24 1e+24
{SmoothSurface2} parameters setValue 1 0.6
{SmoothSurface2} action setIndex -1
{SmoothSurface2} action untouch
SmoothSurface2 fire
SmoothSurface2 setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_script-files/GeometrySurface2.smooth ] setLabel GeometrySurface2.smooth
GeometrySurface2.smooth setIconPosition 20 258
GeometrySurface2.smooth master connect SmoothSurface2
GeometrySurface2.smooth fire
GeometrySurface2.smooth fire
GeometrySurface2.smooth setViewerMask 65535

set hideNewModules 0
create HxSurfaceSmooth {SmoothSurface3}
SmoothSurface3 setIconPosition 160 135
SmoothSurface3 data connect GeometrySurface
SmoothSurface3 fire
{SmoothSurface3} parameters setMinMax 0 -1e+24 1e+24
{SmoothSurface3} parameters setValue 0 25
{SmoothSurface3} parameters setMinMax 1 -1e+24 1e+24
{SmoothSurface3} parameters setValue 1 0.6
{SmoothSurface3} action setIndex -1
{SmoothSurface3} action untouch
SmoothSurface3 fire
SmoothSurface3 setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_script-files/GeometrySurface.smooth ] setLabel GeometrySurface.smooth
GeometrySurface.smooth setIconPosition 20 289
GeometrySurface.smooth master connect SmoothSurface3
GeometrySurface.smooth fire
GeometrySurface.smooth fire
GeometrySurface.smooth setViewerMask 65535

set hideNewModules 0
create HxArithmetic {Arithmetic}
Arithmetic setIconPosition 160 320
Arithmetic inputA connect phaeo6.supvol.img
Arithmetic fire
{Arithmetic} expr setValue "A-45"
{Arithmetic} resultType setValue 0
{Arithmetic} resolution setMinMax 0 1 1024
{Arithmetic} resolution setValue 0 64
{Arithmetic} resolution setMinMax 1 1 1024
{Arithmetic} resolution setValue 1 64
{Arithmetic} resolution setMinMax 2 1 1024
{Arithmetic} resolution setValue 2 64
{Arithmetic} minBox setMinMax 0 -1e+24 1e+24
{Arithmetic} minBox setValue 0 -1
{Arithmetic} minBox setMinMax 1 -1e+24 1e+24
{Arithmetic} minBox setValue 1 -1
{Arithmetic} minBox setMinMax 2 -1e+24 1e+24
{Arithmetic} minBox setValue 2 -1
{Arithmetic} maxBox setMinMax 0 -1e+24 1e+24
{Arithmetic} maxBox setValue 0 1
{Arithmetic} maxBox setMinMax 1 -1e+24 1e+24
{Arithmetic} maxBox setValue 1 1
{Arithmetic} maxBox setMinMax 2 -1e+24 1e+24
{Arithmetic} maxBox setValue 2 1
{Arithmetic} doIt setIndex -1
{Arithmetic} doIt untouch
Arithmetic fire
Arithmetic setViewerMask 65535

set hideNewModules 0
create HxOrthoSlice {OrthoSlice}
OrthoSlice setIconPosition 287 28
OrthoSlice data connect phaeo6.supvol.img
{OrthoSlice} fire
{OrthoSlice} sliceOrientation setValue 0
{OrthoSlice} fire
{OrthoSlice} options setValue 0 0
{OrthoSlice} options setValue 1 0
{OrthoSlice} options setValue 2 0
{OrthoSlice} mappingType setValue 0
{OrthoSlice} linearRange setMinMax 0 -1e+24 1e+24
{OrthoSlice} linearRange setValue 0 108.841
{OrthoSlice} linearRange setMinMax 1 -1e+24 1e+24
{OrthoSlice} linearRange setValue 1 168.963
{OrthoSlice} contrastLimit setMinMax 0 -1e+24 1e+24
{OrthoSlice} contrastLimit setValue 0 7
{OrthoSlice} colormap setDefaultColor 1 0.8 0.5
{OrthoSlice} colormap setDefaultAlpha 1.000000
{OrthoSlice} sliceNumber setMinMax 0 199
{OrthoSlice} sliceNumber setValue 100
{OrthoSlice} transparency setValue 0
OrthoSlice setFrameWidth 0
OrthoSlice setFrameColor 1 0.5 0
OrthoSlice frame 1
OrthoSlice fire

OrthoSlice fire
OrthoSlice setViewerMask 65535

set hideNewModules 0
create HxContrast {ContrastControl}
ContrastControl setIconPosition 287 49
ContrastControl module connect OrthoSlice
ContrastControl fire
{ContrastControl} center setMinMax 0 255
{ContrastControl} center setValue 138.902
{ContrastControl} width setMinMax 0 255
{ContrastControl} width setValue 60.1219
{ContrastControl} display setValue 0 0
{ContrastControl} position setMinMax 0 -1e+24 1e+24
{ContrastControl} position setValue 0 -155
{ContrastControl} position setMinMax 1 -1e+24 1e+24
{ContrastControl} position setValue 1 5
ContrastControl fire
ContrastControl setViewerMask 65535

set hideNewModules 0


viewer 0 setCameraPosition 33.846 499.046 -802.604
viewer 0 setCameraOrientation 0.12616 -0.986352 -0.105801 2.86741
viewer 0 setCameraFocalDistance 974.53
viewer 0 setAutoRedraw 1
viewer 0 redraw
